summaryrefslogtreecommitdiff
path: root/dev-python/botocore
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-05-09 13:49:40 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-05-09 13:49:40 +0000
commit5799b425328eebc17bc05367f17c472310dde08d (patch)
tree9e2279d0f4fb6e18992cbde10c446a442c5321c1 /dev-python/botocore
parenteca83dba1f700fd95a4723a9f0059c07e98f37b1 (diff)
downloadbaldeagleos-repo-5799b425328eebc17bc05367f17c472310dde08d.tar.gz
baldeagleos-repo-5799b425328eebc17bc05367f17c472310dde08d.tar.xz
baldeagleos-repo-5799b425328eebc17bc05367f17c472310dde08d.zip
Adding metadata
Diffstat (limited to 'dev-python/botocore')
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.29.130.ebuild72
2 files changed, 73 insertions, 0 deletions
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index d472c9068d73..a86090977b49 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -2,3 +2,4 @@ DIST botocore-1.29.123.gh.tar.gz 11446357 BLAKE2B 795e5591b64ae947c24f58916bd993
DIST botocore-1.29.126.gh.tar.gz 11453877 BLAKE2B 955931ba40d550a12f4cd16cd7f746a755453e5db3515bf790af94b230dae2503c3d71b85e94044780ae40d4bd5bc19b9cd8e9bb45f1783ae5eb0344f900f08a SHA512 ee5df31c1f3414f9f738d36712e83862de1006c89432b45293b89226b3c14f67f376b8d14f96092fe4524e5bbe9681e0ce7e2b30029c50aa98dcd02e8e2497d0
DIST botocore-1.29.127.gh.tar.gz 11474348 BLAKE2B 72002e57593e114864bb8d6f0ec30d78fb503a6eee71fd0e61dbe430d976408583e2697db1828e8373bd5ba620b024c2e9bf3e25a69a39625b8ac7f5ae61a63a SHA512 b82f149807970666175222bba27213387782804c41393609011f36564b6a8be209777a575fa088e39440f7bcfe6d47d1183136aa2710ad4315f6f70075cd0ce3
DIST botocore-1.29.129.gh.tar.gz 11476185 BLAKE2B b2601ecd28263e44f4830ccad24402e6c5f62127cd5abbe75fd270bb05fabcc10dee24e6ba8e37629232929990b1f6bd9870eead303642564342da60c3386bda SHA512 c38a8797f7c728755406e334094e0183fd69eb1a7c68e41b065d5d2c999948714390a647c68d0373c1d8a7b6d9d91fd950b10527ee88bca08788921903ff9535
+DIST botocore-1.29.130.gh.tar.gz 11473884 BLAKE2B 13d50cd41f690cf1e45324ca311da65f946396ebe3856ff60c06e35edc290d4e1d1b76e2b3bc72c3c0f8578f4cae16a7812f5c742bd8847cc5dfc5e15e98d12d SHA512 0173113f295019bfd968af0651bde9032baa2ebb2018070db8702adc35d73ac98e03a828fed7637ebc76bf5d1ba66b6fadb87a1d2afdae8a23f6279d7d5f10ad
diff --git a/dev-python/botocore/botocore-1.29.130.ebuild b/dev-python/botocore/botocore-1.29.130.ebuild
new file mode 100644
index 000000000000..491b6bbc21f2
--- /dev/null
+++ b/dev-python/botocore/botocore-1.29.130.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ # fails on unrelated warnings
+ tests/unit/test_client.py::TestAutoGeneratedClient::test_BOTO_DISABLE_COMMONNAME
+ tests/unit/test_client.py::TestClientErrors::test_BOTO_DISABLE_COMMONNAME
+ # TODO
+ tests/functional/test_credentials.py::SSOSessionTest::test_token_chosen_from_provider
+ )
+
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}